{
	"appId": "app.timesafari",
	"appName": "TimeSafari",
	"webDir": "dist",
	"server": {
		"cleartext": true
	},
	"plugins": {
		"App": {
			"appUrlOpen": {
				"handlers": [
					{
						"url": "timesafari://*",
						"autoVerify": true
					}
				]
			}
		},
		"CapacitorSQLite": {
			"iosDatabaseLocation": "Library/CapacitorDatabase",
			"iosIsEncryption": false,
			"iosBiometric": {
				"biometricAuth": false,
				"biometricTitle": "Biometric login for TimeSafari"
			},
			"androidIsEncryption": false,
			"androidBiometric": {
				"biometricAuth": false,
				"biometricTitle": "Biometric login for TimeSafari"
			},
			"electronIsEncryption": false
		}
	},
	"ios": {
		"contentInset": "never",
		"allowsLinkPreview": true,
		"scrollEnabled": true,
		"limitsNavigationsToAppBoundDomains": true,
		"backgroundColor": "#ffffff",
		"allowNavigation": [
			"*.timesafari.app",
			"*.jsdelivr.net",
			"api.endorser.ch"
		]
	},
	"android": {
		"allowMixedContent": false,
		"captureInput": true,
		"webContentsDebuggingEnabled": false,
		"allowNavigation": [
			"*.timesafari.app",
			"*.jsdelivr.net",
			"api.endorser.ch"
		]
	},
	"electron": {
		"deepLinking": {
			"schemes": [
				"timesafari"
			]
		},
		"buildOptions": {
			"appId": "app.timesafari",
			"productName": "TimeSafari",
			"directories": {
				"output": "dist-electron-packages"
			},
			"files": [
				"dist/**/*",
				"electron/**/*"
			],
			"mac": {
				"category": "public.app-category.productivity",
				"target": [
					{
						"target": "dmg",
						"arch": [
							"x64",
							"arm64"
						]
					}
				]
			},
			"win": {
				"target": [
					{
						"target": "nsis",
						"arch": [
							"x64"
						]
					}
				]
			},
			"linux": {
				"target": [
					{
						"target": "AppImage",
						"arch": [
							"x64"
						]
					}
				],
				"category": "Utility"
			}
		}
	}
}
